com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class AbstractTypeSignatureVisitor<T extends com.buschmais.jqassistant.core.store.api.model.Descriptor>

- java.lang.Object
- - org.objectweb.asm.signature.SignatureVisitor
  - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.AbstractTypeSignatureVisitor<T>

- Direct Known Subclasses:
    DependentTypeSignatureVisitor

      public abstract class AbstractTypeSignatureVisitor<T extends com.buschmais.jqassistant.core.store.api.model.Descriptor>
      extends org.objectweb.asm.signature.SignatureVisitor

  Abstract implementation of a types signature visitor.

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.signature.SignatureVisitor

      `api, EXTENDS, INSTANCEOF, SUPER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractTypeSignatureVisitor(TypeCache.CachedType containingType, VisitorHelper visitorHelper)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TypeCache.CachedType` | `getContainingType()`
    `protected VisitorHelper` | `getVisitorHelper()`
    `void` | `visitClassType(String name)`
    `void` | `visitEnd()`
    `abstract void` | `visitEnd(TypeDescriptor typeDescriptor)`
    `void` | `visitInnerClassType(String name)`

    - ### Methods inherited from class org.objectweb.asm.signature.SignatureVisitor

      `visitArrayType, visitBaseType, visitClassBound, visitExceptionType, visitFormalTypeParameter, visitInterface, visitInterfaceBound, visitParameterType, visitReturnType, visitSuperclass, visitTypeArgument, visitTypeArgument, visitTypeVariable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTypeSignatureVisitor

          protected AbstractTypeSignatureVisitor(TypeCache.CachedType containingType,
                                                 VisitorHelper visitorHelper)

      Constructor.
      Parameters:
        `usingDescriptor` - The descriptor using the resolved types descriptor.
        `visitorHelper` - The `VisitorHelper`.

  - ### Method Detail

    - #### getContainingType

          protected TypeCache.CachedType getContainingType()

    - #### getVisitorHelper

          protected VisitorHelper getVisitorHelper()

    - #### visitClassType

          public void visitClassType(String name)

      Overrides:
        `visitClassType` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitInnerClassType

          public void visitInnerClassType(String name)

      Overrides:
        `visitInnerClassType` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitEnd

          public void visitEnd()

      Overrides:
        `visitEnd` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitEnd

          public abstract void visitEnd(TypeDescriptor typeDescriptor)

Copyright © 2015 buschmais GbR. All rights reserved.